[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.OnConstrainedResize

Event Handler for constrained resize

## Declaration

Source position: controls.pp line 1224

`protected property TControl.OnConstrainedResize: TConstrainedResizeEvent read FOnConstrainedResize write FOnConstrainedResize;`

## Description

Event handler needs to be supplied to cover the need to resize a control within the given constraints of maximum and minimum width and height

The latest version of this document can be found at lazarus-ccr.sourceforge.net .